QUICKPKG(1)

NAME
quickpkg - creates portage packages

SYNOPSIS
quickpkg <list of pkgs>

DESCRIPTION
quickpkg can be utilized to quickly create a package for portage by utilizing the files already on your filesystem. This package then can be emerged on any system. To review syntax for emerging binary packages, review emerge(1). The upside of this process is that you don't have to wait for the package to unpack, configure, compile, and install before you can have the package ready to go. The downside is that the package will contain the files that exist on your filesystem even if they have modified since they were first installed.
The packages, after being created, will be placed in PKGDIR. This variable is defined in make.conf(5) and defaults to /var/tmp/portage-pkg.

OPTIONS

<list of packages>
    Each package in the list can be of two forms. First you can give it the full path to the installed entry in the virtual database. That is, /var/db/pkg/<CATEGORY>/<PKG-VERSION>/. The second form is a portage depend atom. This atom is of the same form that you would give emerge if you wanted to emerge something. See ebuild(5) for full definition.

EXAMPLES
quickpkg /var/db/pkg/dev-python/pyogg-1.1
quickpkg planeshift
quickpkg =apache-1.3.27-r1
quickpkg =net-www/apache-2*

REPORTING BUGS
Please report bugs via http://bugs.gentoo.org/

SEE ALSO
ebuild(5), make.conf(5)

FILES

/etc/make.conf
    The PKGDIR variable is defined here.

AUTHORS
Terry Chan (original author)
Mike Frysinger <vapier@gentoo.org> (revamped version)

CVS HEADER
$Header: /var/cvsroot/gentoo-src/portage/man/quickpkg.1,v 1.3 2004/09/17 00:17:10 vapier Exp $